Home
last modified time | relevance | path

Searched refs:pfx (Results 1 – 25 of 104) sorted by relevance

12345

/openbmc/u-boot/arch/arm/mach-rmobile/
H A Dpfc-r8a7790.h14 #define CPU_32_PORT(fn, pfx, sfx) \ argument
15 PORT_10(fn, pfx, sfx), PORT_10(fn, pfx##1, sfx), \
16 PORT_10(fn, pfx##2, sfx), PORT_1(fn, pfx##30, sfx), \
17 PORT_1(fn, pfx##31, sfx)
19 #define CPU_32_PORT2(fn, pfx, sfx) \ argument
20 PORT_10(fn, pfx, sfx), PORT_10(fn, pfx##1, sfx), \
21 PORT_10(fn, pfx##2, sfx)
24 #define CPU_32_PORT1(fn, pfx, sfx) \ argument
25 PORT_10(fn, pfx, sfx), PORT_10(fn, pfx##1, sfx), \
26 PORT_10(fn, pfx##2, sfx) \
[all …]
/openbmc/linux/drivers/firmware/efi/
H A Dcper-arm.c88 static void cper_print_arm_err_info(const char *pfx, u32 type, in cper_print_arm_err_info() argument
111 printk("%stransaction type: %s\n", pfx, in cper_print_arm_err_info()
122 printk("%soperation type: %s\n", pfx, in cper_print_arm_err_info()
128 printk("%soperation type: %s\n", pfx, in cper_print_arm_err_info()
134 printk("%soperation type: %s\n", pfx, in cper_print_arm_err_info()
146 printk("%scache level: %d\n", pfx, level); in cper_print_arm_err_info()
149 printk("%sTLB level: %d\n", pfx, level); in cper_print_arm_err_info()
153 pfx, level); in cper_print_arm_err_info()
162 printk("%sprocessor context corrupted\n", pfx); in cper_print_arm_err_info()
164 printk("%sprocessor context not corrupted\n", pfx); in cper_print_arm_err_info()
[all …]
H A Dcper_cxl.c58 void cper_print_prot_err(const char *pfx, const struct cper_sec_prot_err *prot_err) in cper_print_prot_err() argument
61 pr_info("%s agent_type: %d, %s\n", pfx, prot_err->agent_type, in cper_print_prot_err()
82 pfx, prot_err->agent_addr.segment, in cper_print_prot_err()
88 pr_info("%s rcrb_base_address: 0x%016llx\n", pfx, in cper_print_prot_err()
107 pr_info("%s slot: %d\n", pfx, in cper_print_prot_err()
110 pfx, prot_err->device_id.vendor_id, in cper_print_prot_err()
113 pfx, prot_err->device_id.subsystem_vendor_id, in cper_print_prot_err()
116 pr_info("%s class_code: %02x%02x\n", pfx, in cper_print_prot_err()
130 pr_info("%s lower_dw: 0x%08x, upper_dw: 0x%08x\n", pfx, in cper_print_prot_err()
148 print_hex_dump(pfx, "", DUMP_PREFIX_OFFSET, 16, 4, in cper_print_prot_err()
[all …]
H A Dcper.c83 void cper_print_bits(const char *pfx, unsigned int bits, in cper_print_bits() argument
101 len = snprintf(buf, sizeof(buf), "%s%s", pfx, str); in cper_print_bits()
144 static void cper_print_proc_generic(const char *pfx, in cper_print_proc_generic() argument
148 printk("%s""processor_type: %d, %s\n", pfx, proc->proc_type, in cper_print_proc_generic()
152 printk("%s""processor_isa: %d, %s\n", pfx, proc->proc_isa, in cper_print_proc_generic()
156 printk("%s""error_type: 0x%02x\n", pfx, proc->proc_error_type); in cper_print_proc_generic()
157 cper_print_bits(pfx, proc->proc_error_type, in cper_print_proc_generic()
162 printk("%s""operation: %d, %s\n", pfx, proc->operation, in cper_print_proc_generic()
166 printk("%s""flags: 0x%02x\n", pfx, proc->flags); in cper_print_proc_generic()
167 cper_print_bits(pfx, proc->flags, proc_flag_strs, in cper_print_proc_generic()
[all …]
H A Dcper-x86.c153 static inline void print_bool(char *str, const char *pfx, u64 check, u64 bit) in print_bool() argument
155 printk("%s%s: %s\n", pfx, str, (check & bit) ? "true" : "false"); in print_bool()
158 static void print_err_info_ms(const char *pfx, u16 validation_bits, u64 check) in print_err_info_ms() argument
163 printk("%sError Type: %u, %s\n", pfx, err_type, in print_err_info_ms()
169 print_bool("Processor Context Corrupt", pfx, check, CHECK_MS_PCC); in print_err_info_ms()
172 print_bool("Uncorrected", pfx, check, CHECK_MS_UNCORRECTED); in print_err_info_ms()
175 print_bool("Precise IP", pfx, check, CHECK_MS_PRECISE_IP); in print_err_info_ms()
178 print_bool("Restartable IP", pfx, check, CHECK_MS_RESTARTABLE_IP); in print_err_info_ms()
181 print_bool("Overflow", pfx, check, CHECK_MS_OVERFLOW); in print_err_info_ms()
184 static void print_err_info(const char *pfx, u8 err_type, u64 check) in print_err_info() argument
[all …]
/openbmc/linux/arch/mips/include/asm/
H A Datomic.h26 #define ATOMIC_OPS(pfx, type) \ argument
27 static __always_inline type arch_##pfx##_read(const pfx##_t *v) \
32 static __always_inline void arch_##pfx##_set(pfx##_t *v, type i) \
44 #define ATOMIC_OP(pfx, op, type, c_op, asm_op, ll, sc) \ argument
45 static __inline__ void arch_##pfx##_##op(type i, pfx##_t * v) \
62 "1: " #ll " %0, %1 # " #pfx "_" #op " \n" \
71 #define ATOMIC_OP_RETURN(pfx, op, type, c_op, asm_op, ll, sc) \ argument
73 arch_##pfx##_##op##_return_relaxed(type i, pfx##_t * v) \
92 "1: " #ll " %1, %2 # " #pfx "_" #op "_return\n" \
105 #define ATOMIC_FETCH_OP(pfx, op, type, c_op, asm_op, ll, sc) \ argument
[all …]
H A Dr4kcache.h197 #define __BUILD_BLAST_CACHE(pfx, desc, indexop, hitop, lsize, extra) \ argument
198 static inline void extra##blast_##pfx##cache##lsize(void) \
213 static inline void extra##blast_##pfx##cache##lsize##_page(unsigned long page) \
224 static inline void extra##blast_##pfx##cache##lsize##_page_indexed(unsigned long page) \
261 #define __BUILD_BLAST_USER_CACHE(pfx, desc, indexop, hitop, lsize) \ argument
262 static inline void blast_##pfx##cache##lsize##_user_page(unsigned long page) \
284 #define __BUILD_BLAST_CACHE_RANGE(pfx, desc, hitop, prot, extra) \ argument
285 static inline void prot##extra##blast_##pfx##cache##_range(unsigned long start, \
313 #define __BUILD_BLAST_CACHE_NODE(pfx, desc, indexop, hitop, lsize) \ argument
314 static inline void blast_##pfx##cache##lsize##_node(long node) \
H A Dio.h218 #define __BUILD_MEMORY_SINGLE(pfx, bwlq, type, barrier, relax, irq) \ argument
220 static inline void pfx##write##bwlq(type val, \
233 __val = pfx##ioswab##bwlq(__mem, val); \
260 static inline type pfx##read##bwlq(const volatile void __iomem *mem) \
296 return pfx##ioswab##bwlq(__mem, __val); \
299 #define __BUILD_IOPORT_SINGLE(pfx, bwlq, type, barrier, relax, p) \ argument
301 static inline void pfx##out##bwlq##p(type val, unsigned long port) \
313 __val = pfx##ioswab##bwlq(__addr, val); \
321 static inline type pfx##in##bwlq##p(unsigned long port) \
338 return pfx##ioswab##bwlq(__addr, __val); \
/openbmc/u-boot/include/
H A Dsh_pfc.h118 #define PORT_1(fn, pfx, sfx) fn(pfx, sfx) argument
120 #define PORT_10(fn, pfx, sfx) \ argument
121 PORT_1(fn, pfx##0, sfx), PORT_1(fn, pfx##1, sfx), \
122 PORT_1(fn, pfx##2, sfx), PORT_1(fn, pfx##3, sfx), \
123 PORT_1(fn, pfx##4, sfx), PORT_1(fn, pfx##5, sfx), \
124 PORT_1(fn, pfx##6, sfx), PORT_1(fn, pfx##7, sfx), \
125 PORT_1(fn, pfx##8, sfx), PORT_1(fn, pfx##9, sfx)
127 #define PORT_90(fn, pfx, sfx) \ argument
128 PORT_10(fn, pfx##1, sfx), PORT_10(fn, pfx##2, sfx), \
129 PORT_10(fn, pfx##3, sfx), PORT_10(fn, pfx##4, sfx), \
[all …]
/openbmc/linux/scripts/atomic/
H A Datomic-tbl.sh49 local pfx="$1"; shift
62 for base in "${pfx}${name}${sfx}${order}" "${pfx}${name}${sfx}" "${name}"; do
191 local pfx="$1"; shift
198 local atomicname="${atomic}_${pfx}${name}${sfx}${order}"
232 local pfx="$1"; shift
237 local atomicname="${atomic}_${pfx}${name}${sfx}${order}"
239 local tmpl="$(find_kerneldoc_template "${pfx}" "${name}" "${sfx}" "${order}")"
245 gen_template_kerneldoc "${tmpl}" "${class}" "${meta}" "${pfx}" "${name}" "${sfx}" "${order}" "$@"
253 local pfx="$1"; shift
257 gen_proto_order_variant "${meta}" "${pfx}" "${name}" "${sfx}" "" "$@"
[all …]
H A Dgen-atomic-fallback.sh13 local pfx="$1"; shift
32 local pfx="$1"; shift
39 gen_template_fallback "${tmpl}" "${meta}" "${pfx}" "${name}" "${sfx}" "${order}" "$@"
46 local pfx="$1"; shift
51 local tmpl="$(find_fallback_template "${pfx}" "${name}" "${sfx}" "${order}")"
52 gen_template_fallback "${tmpl}" "${meta}" "${pfx}" "${name}" "${sfx}" "${order}" "$@"
59 local pfx="$1"; shift
66 local atomicname="${atomic}_${pfx}${name}${sfx}${order}"
67 local basename="${atomic}_${pfx}${name}${sfx}"
69 local template="$(find_fallback_template "${pfx}" "${name}" "${sfx}" "${order}")"
[all …]
/openbmc/openbmc/meta-google/recipes-google/networking/gbmc-bridge/
H A Dgbmc-br-from-ra.sh29 local pfx
30 for pfx in "${!gbmc_br_from_ra_pfxs[@]}"; do
32 if ! cidr="$(ip_pfx_to_cidr "$pfx")"; then
43 if ! addr="$(ip_pfx_concat "$pfx" "$sfx")"; then
51 local valid="${gbmc_br_from_ra_pfxs["$pfx"]}"
78 pfx="${route%% *}"
81 gbmc_br_from_ra_pfxs["$pfx"]="${BASH_REMATCH[3]}"
84 gbmc_br_from_ra_pfxs["$pfx"]=0
H A Dgbmc-br-lib.sh78 local pfx
79 pfx="$(ip_bytes_to_str pfx_bytes)"
86 Address=$pfx/128
92 Route=$pfx/80
99 echo "Runtime setting gbmcbr IP: $pfx" >&2
H A Dgbmc-br-ra.sh.in29 local pfx="$1"
31 gbmc_br_set_ip "$pfx" || true
32 echo "IP $pfx set on $RA_IF" >&2
/openbmc/linux/drivers/pinctrl/renesas/
H A Dpfc-r8a73a4.c13 #define CPU_ALL_PORT(fn, pfx, sfx) \ argument
15 PORT_10(0, fn, pfx, sfx), \
16 PORT_10(10, fn, pfx##1, sfx), \
17 PORT_10(20, fn, pfx##2, sfx), \
18 PORT_1(30, fn, pfx##30, sfx), \
20 PORT_1(32, fn, pfx##32, sfx), PORT_1(33, fn, pfx##33, sfx), \
21 PORT_1(34, fn, pfx##34, sfx), PORT_1(35, fn, pfx##35, sfx), \
22 PORT_1(36, fn, pfx##36, sfx), PORT_1(37, fn, pfx##37, sfx), \
23 PORT_1(38, fn, pfx##38, sfx), PORT_1(39, fn, pfx##39, sfx), \
24 PORT_1(40, fn, pfx##40, sfx), \
[all …]
H A Dsh_pfc.h649 #define PORT_1(pn, fn, pfx, sfx) fn(pn, pfx, sfx) argument
651 #define PORT_10(pn, fn, pfx, sfx) \ argument
652 PORT_1(pn, fn, pfx##0, sfx), PORT_1(pn+1, fn, pfx##1, sfx), \
653 PORT_1(pn+2, fn, pfx##2, sfx), PORT_1(pn+3, fn, pfx##3, sfx), \
654 PORT_1(pn+4, fn, pfx##4, sfx), PORT_1(pn+5, fn, pfx##5, sfx), \
655 PORT_1(pn+6, fn, pfx##6, sfx), PORT_1(pn+7, fn, pfx##7, sfx), \
656 PORT_1(pn+8, fn, pfx##8, sfx), PORT_1(pn+9, fn, pfx##9, sfx)
658 #define PORT_90(pn, fn, pfx, sfx) \ argument
659 PORT_10(pn+10, fn, pfx##1, sfx), PORT_10(pn+20, fn, pfx##2, sfx), \
660 PORT_10(pn+30, fn, pfx##3, sfx), PORT_10(pn+40, fn, pfx##4, sfx), \
[all …]
/openbmc/openbmc/meta-google/recipes-google/networking/gbmc-net-common/
H A Dgbmc-ra.sh87 pfx=
102 pfx="$(ip_bytes_to_str t_pfx_b)"
123 rtrs["$rtr"]="$mac $dl $pfx $fqdn"
138 if [[ $pfx != "$old_pfx" ]]; then
139 echo "Got PFX $pfx from $rtr on $RA_IF" >&2
140 old_pfx="$pfx"
141 update_pfx "$pfx" || true
169 pfx=${data[2]}
172 update_pfx "$pfx" || true
/openbmc/u-boot/drivers/pinctrl/renesas/
H A Dsh_pfc.h524 #define PORT_1(pn, fn, pfx, sfx) fn(pn, pfx, sfx) argument
526 #define PORT_10(pn, fn, pfx, sfx) \ argument
527 PORT_1(pn, fn, pfx##0, sfx), PORT_1(pn+1, fn, pfx##1, sfx), \
528 PORT_1(pn+2, fn, pfx##2, sfx), PORT_1(pn+3, fn, pfx##3, sfx), \
529 PORT_1(pn+4, fn, pfx##4, sfx), PORT_1(pn+5, fn, pfx##5, sfx), \
530 PORT_1(pn+6, fn, pfx##6, sfx), PORT_1(pn+7, fn, pfx##7, sfx), \
531 PORT_1(pn+8, fn, pfx##8, sfx), PORT_1(pn+9, fn, pfx##9, sfx)
533 #define PORT_90(pn, fn, pfx, sfx) \ argument
534 PORT_10(pn+10, fn, pfx##1, sfx), PORT_10(pn+20, fn, pfx##2, sfx), \
535 PORT_10(pn+30, fn, pfx##3, sfx), PORT_10(pn+40, fn, pfx##4, sfx), \
[all …]
/openbmc/openbmc/meta-google/recipes-google/ncsi/files/
H A Dgbmc-ncsi-ra.sh55 local pfx="$1"
61 [ -z "$pfx" ] && return
75 "$pfx" >"$file.d"/10-ncsi-addr.conf
83 ip -6 addr replace "$pfx/128" dev gbmcbr || \
85 old_ncsi_pfx=$pfx
87 echo "Set NCSI addr $pfx on gbmcbr" >&2
H A Dgbmc-ncsi-br-deprecated-ips.sh.in53 local pfx="$(ip_bytes_to_str pfx_bytes)"
73 IPv6ProxyNDPAddress=$pfx
78 To=$pfx/76
82 From=$pfx/76
89 ip6 saddr != $pfx/76 ip6 daddr $pfx/76 goto ncsi_gbmc_br_pub_input
93 ip6 saddr != $pfx/76 ip6 daddr $pfx/76 accept
117 ip -6 rule add from all to "$pfx/76" pref 499 table main proto static || st=$?
118 ip -6 rule add pref $GBMC_NCSI_ROUTE_TABLE from $pfx/76 \
124 gbmc_ncsi_br_depracated_ips_savedconf+=("$pfx")
160 # We only want to allow a <pfx>::fd0x address, where x>0
/openbmc/openbmc/meta-google/recipes-google/networking/network-sh/
H A Dlib.sh215 local pfx="$1"
219 if ! [[ "$pfx" =~ ^([0-9a-fA-F:.]+)/([0-9]+)$ ]]; then
220 echo "Invalid IP prefix: $pfx" >&2
229 echo "Invalid IP prefix: $pfx" >&2
239 echo "Invalid byte $((cidr/8)): $pfx" >&2
246 echo "Byte $i not 0: $pfx" >&2
258 echo "Suffix not the same family as prefix: $pfx $sfx" >&2
/openbmc/linux/net/ipv6/
H A Drpl.c15 const void *post, unsigned char pfx) in ipv6_rpl_addr_decompress() argument
17 memcpy(dst, daddr, pfx); in ipv6_rpl_addr_decompress()
18 memcpy(&dst->s6_addr[pfx], post, IPV6_PFXTAIL_LEN(pfx)); in ipv6_rpl_addr_decompress()
22 unsigned char pfx) in ipv6_rpl_addr_compress() argument
24 memcpy(dst, &addr->s6_addr[pfx], IPV6_PFXTAIL_LEN(pfx)); in ipv6_rpl_addr_compress()
/openbmc/linux/net/6lowpan/
H A Ddebugfs.c105 be16_to_cpu(ctx->pfx.s6_addr16[0]), in lowpan_ctx_pfx_show()
106 be16_to_cpu(ctx->pfx.s6_addr16[1]), in lowpan_ctx_pfx_show()
107 be16_to_cpu(ctx->pfx.s6_addr16[2]), in lowpan_ctx_pfx_show()
108 be16_to_cpu(ctx->pfx.s6_addr16[3]), in lowpan_ctx_pfx_show()
109 be16_to_cpu(ctx->pfx.s6_addr16[4]), in lowpan_ctx_pfx_show()
110 be16_to_cpu(ctx->pfx.s6_addr16[5]), in lowpan_ctx_pfx_show()
111 be16_to_cpu(ctx->pfx.s6_addr16[6]), in lowpan_ctx_pfx_show()
112 be16_to_cpu(ctx->pfx.s6_addr16[7])); in lowpan_ctx_pfx_show()
151 ctx->pfx.s6_addr16[i] = cpu_to_be16(addr[i] & 0xffff); in lowpan_ctx_pfx_write()
207 &t->table[i].pfx, t->table[i].plen, in lowpan_context_show()
/openbmc/u-boot/tools/
H A Dmips-relocs.c22 #define hdr_field(pfx, idx, field) ({ \ argument
27 _val = pfx##hdr64[idx].field; \
28 _size = sizeof(pfx##hdr64[0].field); \
30 _val = pfx##hdr32[idx].field; \
31 _size = sizeof(pfx##hdr32[0].field); \
51 #define set_hdr_field(pfx, idx, field, val) ({ \ argument
56 _size = sizeof(pfx##hdr64[0].field); \
58 _size = sizeof(pfx##hdr32[0].field); \
81 pfx##hdr64[idx].field = _val; \
83 pfx##hdr32[idx].field = _val; \
/openbmc/linux/include/linux/
H A Dbtree-type.h2 #define __BTREE_TP(pfx, type, sfx) pfx ## type ## sfx argument
3 #define _BTREE_TP(pfx, type, sfx) __BTREE_TP(pfx, type, sfx) argument
4 #define BTREE_TP(pfx) _BTREE_TP(pfx, BTREE_TYPE_SUFFIX,) argument

12345